#!/usr/bin/env python
# -*- coding: utf-8 -*-

import logging
import sys

from quriiri_api.send import Sender


logging.basicConfig()

sender = Sender("your-api-key-here","your-mtapi-url-here")

destinations = ["+358400000001", "+358400000002"]

res = sender.send_sms("Python", destinations, "H€llo from Python!")

for error in res["errors"]:
    print("ERROR: %s" % error["message"])

for warning in res["warnings"]:
    print("WARNING: %s" % warning["message"])

for destination in destinations:
    data = res["messages"][destination]
    sys.stdout.write("Send result for %s: number converted to %s, status %s" %
                     (destination, data["converted"], data["status"]))
    if "reason" in data:
        sys.stdout.write(", reason %s" % data["reason"])
    sys.stdout.write("\n")
